# LoadableImageData (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.opengl
Interface LoadableImageData

All Superinterfaces:
  ImageData

All Known Implementing Classes:
  CompositeImageData, ImageIOImageData, PNGImageData, TGAImageData

    public interface LoadableImageData

extends ImageData

An image data source that can load images from a stream

Author:
  kevin

Method Summary
`void` `configureEdging(boolean edging)` Configure the edging that can be used to make texture edges loop more cleanly
`java.nio.ByteBuffer` `loadImage(java.io.InputStream fis)` Load a image from the specified stream
`java.nio.ByteBuffer` `loadImage(java.io.InputStream fis, boolean flipped, boolean forceAlpha, int[] transparent)` Load a image from the specified stream
`java.nio.ByteBuffer` `loadImage(java.io.InputStream fis, boolean flipped, int[] transparent)` Load a image from the specified stream

Methods inherited from interface org.newdawn.slick.opengl.ImageData
`getDepth, getHeight, getImageBufferData, getTexHeight, getTexWidth, getWidth`

Method Detail

### configureEdging

    void configureEdging(boolean edging)

  Configure the edging that can be used to make texture edges loop more cleanly

  Parameters:
    `edging` - True if we should edge

### loadImage

    java.nio.ByteBuffer loadImage(java.io.InputStream fis)
                                  throws java.io.IOException

  Load a image from the specified stream

  Parameters:
    `fis` - The stream from which we'll load the TGA
  Returns:
    The byte buffer containing texture data
  Throws:
    `java.io.IOException` - Indicates a failure to read the TGA

### loadImage

    java.nio.ByteBuffer loadImage(java.io.InputStream fis,
                                  boolean flipped,
                                  int[] transparent)
                                  throws java.io.IOException

  Load a image from the specified stream

  Parameters:
    `fis` - The stream from which we'll load the TGA
    `flipped` - True if we loading in flipped mode (used for cursors)
    `transparent` - The colour to interpret as transparent or null if none
  Returns:
    The byte buffer containing texture data
  Throws:
    `java.io.IOException` - Indicates a failure to read the TGA

### loadImage

    java.nio.ByteBuffer loadImage(java.io.InputStream fis,
                                  boolean flipped,
                                  boolean forceAlpha,
                                  int[] transparent)
                                  throws java.io.IOException

  Load a image from the specified stream

  Parameters:
    `fis` - The stream from which we'll load the TGA
    `flipped` - True if we loading in flipped mode (used for cursors)
    `forceAlpha` - Force the output to have an alpha channel
    `transparent` - The colour to interpret as transparent or null if none
  Returns:
    The byte buffer containing texture data
  Throws:
    `java.io.IOException` - Indicates a failure to read the TGA

Copyright © 2006 New Dawn Software. All Rights Reserved.